OpenCL C++ Bindings: cl::UserEvent Class Reference

OpenCL C++ Bindings

Loading...
Searching...
No Matches
cl::UserEvent Class Reference

Class interface for user events (a subset of cl_event's). More...

`#include <opencl.hpp>`

Inheritance diagram for cl::UserEvent:

## Public Member Functions
| UserEvent (const Context &context, cl_int *err=nullptr)
| Constructs a user event on a given context.
| UserEvent ()
| Default constructor - initializes to nullptr.
cl_int | setStatus (cl_int status)
| Sets the execution status of a user event object.
Public Member Functions inherited from cl::Event
| Event ()
| Default constructor - initializes to nullptr.
| Event (const cl_event &event, bool retainObject=false)
| Constructor from cl_event - takes ownership.
Event & | operator= (const cl_event &rhs)
| Assignment operator from cl_event - takes ownership.
template<typename T>
cl_int | getInfo (cl_event_info name, T *param) const
| Wrapper for clGetEventInfo().
template<cl_event_info name>
detail::param_traits< detail::cl_event_info, name >::param_type | getInfo (cl_int *err=nullptr) const
| Wrapper for clGetEventInfo() that returns by value.
template<typename T>
cl_int | getProfilingInfo (cl_profiling_info name, T *param) const
| Wrapper for clGetEventProfilingInfo().
template<cl_profiling_info name>
detail::param_traits< detail::cl_profiling_info, name >::param_type | getProfilingInfo (cl_int *err=nullptr) const
| Wrapper for clGetEventProfilingInfo() that returns by value.
cl_int | wait () const
| Blocks the calling thread until this event completes.
cl_int | setCallback (cl_int type, void(CL_CALLBACK *pfn_notify)(cl_event, cl_int, void *), void *user_data=nullptr)
| Registers a user callback function for a specific command execution status.
Public Member Functions inherited from cl::detail::Wrapper< cl_event >
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
const cl_type & | operator() () const
cl_type | get () const

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_event >
typedef cl_event | cl_type
Static Public Member Functions inherited from cl::Event
static cl_int | waitForEvents (const vector< Event > &events)
| Blocks the calling thread until every event specified is complete.
Protected Member Functions inherited from cl::detail::Wrapper< cl_event >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_event >
cl_type | object_

## Detailed Description

Class interface for user events (a subset of cl_event's).

See Event for details about copy semantics, etc.

Definition at line 3882 of file opencl.hpp.

## Constructor & Destructor Documentation

## ◆ UserEvent() [1/2]

cl::UserEvent::UserEvent | ( | const Context & | context,
|  | cl_int * | err = nullptr )
| inline

Constructs a user event on a given context.

Wraps clCreateUserEvent().

Definition at line 3889 of file opencl.hpp.

## ◆ UserEvent() [2/2]

cl::UserEvent::UserEvent | ( |  | ) |
| inline

Default constructor - initializes to nullptr.

Definition at line 3905 of file opencl.hpp.

## Member Function Documentation

## ◆ setStatus()

cl_int cl::UserEvent::setStatus | ( | cl_int | status | ) |
| inline

Sets the execution status of a user event object.

Wraps clSetUserEventStatus().

Definition at line 3911 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp